=== debian/changelog ===
spectra (1.0.1-3) unstable; urgency=medium

  * Marking the binary package as Multi-Arch: foreign (Closes: #1034414)
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Wed, 14 Jun 2023 06:51:25 +0200

spectra (1.0.1-2) unstable; urgency=medium

  * Source-only upload

 -- Pierre Gruet <pgt@debian.org>  Sun, 05 Jun 2022 23:43:32 +0200

spectra (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1011068)

 -- Pierre Gruet <pgt@debian.org>  Fri, 20 May 2022 13:40:02 +0200
