=== debian/control ===
Source: spectra
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Julien Schueller <schueller@phimeca.com>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libeigen3-dev
Standards-Version: 4.6.2
Homepage: https://spectralib.org/
Vcs-Browser: https://salsa.debian.org/math-team/spectra
Vcs-Git: https://salsa.debian.org/math-team/spectra.git
Rules-Requires-Root: no

Package: libspectra-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libeigen3-dev
Description: library for large scale eigenvalue problems (development files)
 Spectra stands for Sparse Eigenvalue Computation Toolkit as a Redesigned
 ARPACK. It is a C++ library for large scale eigenvalue problems, built on top
 of Eigen, an open source linear algebra library.
 .
 Spectra is implemented as a header-only C++ library, whose only dependency,
 Eigen, is also header-only. Hence Spectra can be easily embedded in C++
 projects that require calculating eigenvalues of large matrices.
 .
 Spectra is designed to calculate a specified number of eigenvalues of a large
 square matrix. Usually this number of eigenvalues is much smaller than the
 size of the matrix, so that only a few eigenvalues and eigenvectors are
 computed, which in general is more efficient than calculating the whole
 spectral decomposition. Users can choose eigenvalue selection rules to pick
 the eigenvalues of interest, such as the largest k eigenvalues, or eigenvalues
 with largest real parts, etc.
