=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp/
