## spectra 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
-project (Spectra VERSION 1.0.1 LANGUAGES CXX)
+project (Spectra VERSION 1.1.0 LANGUAGES CXX)
 
 # Make CMake look into the ./cmake/ folder for configuration files
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
@@ -21,9 +21,11 @@
 
 # Look for supporting libraries
 # -----------------------------
-find_package(Eigen3 NO_MODULE REQUIRED)
-set_package_properties(Eigen3 PROPERTIES TYPE REQUIRED PURPOSE "C++ vector data structures")
-message(STATUS "Found Eigen3 Version: ${Eigen3_VERSION} Path: ${Eigen3_DIR}")
+if (NOT TARGET Eigen3::Eigen)
+  find_package(Eigen3 NO_MODULE REQUIRED)
+  set_package_properties(Eigen3 PROPERTIES TYPE REQUIRED PURPOSE "C++ vector data structures")
+  message(STATUS "Found Eigen3 Version: ${Eigen3_VERSION} Path: ${Eigen3_DIR}")
+endif()
 
 # Setup library
 # -------------
@@ -62,16 +64,16 @@
 install(
     TARGETS Spectra
     EXPORT Spectra-targets
-    INCLUDES DESTINATION include
+    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
 
-install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/ DESTINATION include)
+install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 install(
     EXPORT Spectra-targets
     FILE Spectra-targets.cmake
     NAMESPACE Spectra::
-    DESTINATION share/spectra/cmake
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
 # Configure package
@@ -81,7 +83,7 @@
 configure_package_config_file(
     ${PROJECT_SOURCE_DIR}/cmake/spectra-config.cmake.in
     ${CMAKE_BINARY_DIR}/cmake/spectra-config.cmake
-    INSTALL_DESTINATION share/spectra/cmake
+    INSTALL_DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
 write_basic_package_version_file(
@@ -94,7 +96,7 @@
     FILES
         ${CMAKE_BINARY_DIR}/cmake/spectra-config.cmake
         ${CMAKE_BINARY_DIR}/cmake/spectra-config-version.cmake
-    DESTINATION share/spectra/cmake
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/cmake/Spectra
 )
 
 find_package(CLANG_FORMAT 9)
