=== test/Makefile ===
--- 
+++ 
@@ -10,14 +10,16 @@
 	$(wildcard ../include/Spectra/*.h) \
 	$(wildcard ../include/Spectra/contrib/*.h)
 
-OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out \
+OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out Arnoldi.out \
 	Orthogonalization.out RitzPairs.out SearchSpace.out \
 	DenseGenMatProd.out DenseSymMatProd.out SparseGenMatProd.out SparseSymMatProd.out \
 	SymEigs.out SymEigsShift.out \
+	HermEigs.out \
 	GenEigs.out GenEigsRealShift.out GenEigsComplexShift.out \
 	SymGEigsCholesky.out SymGEigsRegInv.out SymGEigsShift.out \
 	SVD.out \
-	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out
+	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out \
+	Example1.out Example2.out Example3.out
 
 .PHONY: all test clean
 
@@ -28,6 +30,7 @@
 	-./Eigen.out
 	-./Schur.out
 	-./BKLDLT.out
+	-./Arnoldi.out
 	-./Orthogonalization.out
 	-./RitzPairs.out
 	-./SearchSpace.out
@@ -37,6 +40,7 @@
 	-./SparseSymMatProd.out
 	-./SymEigs.out
 	-./SymEigsShift.out
+	-./HermEigs.out
 	-./GenEigs.out
 	-./GenEigsRealShift.out
 	-./GenEigsComplexShift.out
@@ -47,6 +51,9 @@
 	-./JDSymEigsBase.out
 	-./JDSymEigsDPRConstructor.out
 	-./DavidsonSymEigs.out
+	-./Example1.out
+	-./Example2.out
+	-./Example3.out
 
 tests-main.o: tests-main.cpp catch.hpp
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $< -c -o $@
@@ -57,4 +64,3 @@
 clean:
 	-rm *.out
 	-rm *.o
-
