=== debian/changelog ===
spectra (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Raising Copyright years
  * Passing BUILD_TESTS=ON in d/ruls instead of using a patch
  * Setting the install path of cmake files to /usr/share/spectra/cmake

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Jan 2025 15:30:57 +0100
