=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libeigen3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://spectralib.org/
 Vcs-Browser: https://salsa.debian.org/math-team/spectra
 Vcs-Git: https://salsa.debian.org/math-team/spectra.git
