=== test/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 add_library (tests-main tests-main.cpp)
 list(APPEND test_target_sources
         # Linear algebra
+        Givens.cpp
         QR.cpp
         Eigen.cpp
         Schur.cpp
@@ -31,6 +32,9 @@
         GenEigs.cpp
         GenEigsRealShift.cpp
         GenEigsComplexShift.cpp
+
+        # Complex eigen solver
+        ComplexEigs.cpp
 
         # Symmetric generalized eigen solver
         SymGEigsCholesky.cpp
