=== test/Makefile ===
--- 
+++ 
@@ -10,12 +10,13 @@
 	$(wildcard ../include/Spectra/*.h) \
 	$(wildcard ../include/Spectra/contrib/*.h)
 
-OUTPUT = QR.out Eigen.out Schur.out BKLDLT.out Arnoldi.out \
+OUTPUT = Givens.out QR.out Eigen.out Schur.out BKLDLT.out Arnoldi.out \
 	Orthogonalization.out RitzPairs.out SearchSpace.out \
 	DenseGenMatProd.out DenseSymMatProd.out SparseGenMatProd.out SparseSymMatProd.out \
 	SymEigs.out SymEigsShift.out \
 	HermEigs.out \
 	GenEigs.out GenEigsRealShift.out GenEigsComplexShift.out \
+	ComplexEigs.out \
 	SymGEigsCholesky.out SymGEigsRegInv.out SymGEigsShift.out \
 	SVD.out \
 	JDSymEigsBase.out JDSymEigsDPRConstructor.out DavidsonSymEigs.out \
@@ -26,6 +27,7 @@
 all: $(OUTPUT)
 
 test:
+	-./Givens.out
 	-./QR.out
 	-./Eigen.out
 	-./Schur.out
@@ -44,6 +46,7 @@
 	-./GenEigs.out
 	-./GenEigsRealShift.out
 	-./GenEigsComplexShift.out
+	-./ComplexEigs.out
 	-./SymGEigsCholesky.out
 	-./SymGEigsRegInv.out
 	-./SymGEigsShift.out
