=== debian/changelog ===
spectra (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0:
    - Builds with CMake 4 (Closes: #1113533)
  * Refreshing patch
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sun, 28 Sep 2025 20:52:43 +0200
