=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

# Built build-time tests to run them
override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_TESTS:BOOL=ON \

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp/
